#include "Element.h"

#include "ScriptManager.h"

ScriptManager::ScriptManager()
{
  vL = lua_open();

  vLoadModules();
}

ScriptManager::~ScriptManager()
{
  lua_close(vL);
}

void ScriptManager::loadFile(string filename)
{
  luaL_loadfile(vL, filename.c_str());
}

void ScriptManager::execute(string funcname, Element *self)
{
  vSelf = self;
  lua_getfield(vL, LUA_GLOBALSINDEX, funcname.c_str());
}

Element* ScriptManager::getSelf()
{
  return vSelf;
}

void ScriptManager::vLoadModules()
{
  luaopen_base(vL);
  //Element_Init(vL);
}

